Currently I use saxon in a web solution and their web projects using .net 3.5. no problem at all.
Check visual studio and framework configuration.
 
Juan.


From: Bill Cohagan [mailto:cohagan@acm.org]
Sent: Wednesday, February 18, 2009 9:39 AM
To: saxon-help@lists.sourceforge.net
Subject: [saxon] Build for .Net Framework 3.5?

I am attempting to use the (free) saxon engine in a new project that is using the 3.5 framework. I have encountered 2 problems right out of the gate:

 

1.)    Although the dll’s are registering in the gac as expected (using the cmd file provided) none of them show up in the “Add Reference” dialog within Visual Studio 2008. The workaround is simply to manually browse to the dlls in a known location on the disk, but this is not a desirable solution.

2.)    No matter where I put it, the saxon9api.netmodule file is “not found” when I attempt to use the Saxon.Api namespace. The only cure I’ve found for this is to change the project back to using Framework 2.0. While this isolates the problem, it isn’t a solution because my project otherwise requires Framework 3.5.

 

So, has anyone rebuilt these dlls under 3.5? Is that even possible? I’m VERY reluctant to simply forge ahead and try to do that myself since I have no way of knowing how many layers that particular onion might have! My only option at this point is simply to abandon the use of the Saxon engine and drop back to XSLT 1.x as supported by the native .Net framework. That of course introduces complications at the XSLT level. Groan ….

 

Thanks in advance,

 Bill